Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Ostatnie wiadomości

#21
Arch / Odp: Nie aktualizuje alpm_octo...
Ostatnia wiadomość przez robson75 - Styczeń 31, 2023, 01:01:00 AM
Cytat: Piejanto w Styczeń 30, 2023, 11:30:38 PMW poprzedniej instalacji w [menu/system/octopi] miałem trzy zielone głowy, a teraz mam dwie.
Pewnie Ci chodzi o octopi-notifier-qt5, którego nie masz zainstalowanego.
#22
Arch / Odp: Nie aktualizuje alpm_octo...
Ostatnia wiadomość przez pavbaranov - Styczeń 31, 2023, 12:26:20 AM
pak z przełącznikami pacman zachowuje się jak pacman.
#23
Arch / Odp: Nie aktualizuje alpm_octo...
Ostatnia wiadomość przez Piejanto - Styczeń 30, 2023, 11:30:38 PM
@pavbaranov

Qrdę... już mi to mówiłeś i ja wcale nie mam ambicji do korzystania z AUR. Mam stamtąd chyba tylko Zooma ale Zoom jest potrzebny awaryjnie mojej córce. No, to musi być.

Obecnie mam w Octopi [alpm_octopi_utils] z chaotic-aur. Przypominam sobie, że kiedyś chyba było potrzebne coś do czegoś i ja wtedy chyba przyklepałem propozycję z AUR. Więcej nie będę.

punkt 3. Tak się stanie. Tym bardziej, że ja już w ogóle nie mam potrzeby doinstalowywania czegokolwiek. Mam wszystko, co mi potrzebne do funkcjonowania.
punkt 4. Obecnie mam największe zaufanie do [pak]. Polecenia [pacman -R] użyłem, bo to polecenie pamiętałem, a w [pak] nie ma opisu usuwania.
Punkt 5. OK. ale nie przewiduję
Punkt 6. Jeśli pomieszałem, to całkowicie nieświadomie. Prawdopodobnie uznałem, że przyklepanie propozycji oferowanej przez AUR jest pewniejsze.
W poprzedniej instalacji w [menu/system/octopi] miałem trzy zielone głowy, a teraz mam dwie. Dlatego właśnie myślę, że coś wołało doinstalowania i ja przyklepałem. 

Dziękuję Wam bardzo za pomoc. Bardzo.
Zdrowia.
#24
Arch / Odp: Nie aktualizuje alpm_octo...
Ostatnia wiadomość przez pavbaranov - Styczeń 30, 2023, 09:19:36 PM
Janku, nie, nie za wiele myślisz, a za wiele kombinujesz :D
Teraz wyłącznie rady.
1. O ile możesz - nie używaj AUR. Po prostu ta bajka nie jest dla Ciebie.
2. Jeśli zastosujesz się do AD 1 - nie będziesz miał problemów.
3. Na tę chwilę - dopóki nie powiem "teraz można" - nie instaluj nic z POLAUR z wyjątkiem pak.
4. Nie ma znaczenia, czy coś robisz przez pak, czy pacman. Wszystkie polecenia obsługiwane przez pacman są w pak wywoływane przez pacman. Mniej więcej tak, jakbyś sobie dał alias pacman=pak. Tyle, że ten ostatni (pak) jest, za przeproszeniem, idioto odporny. Korzystając z pacmana uniemożliwi np. częściową aktualizację itp. rzeczy, które są niepożądane w Archu.
5. Jeśli będziesz musiał używać czegokolwiek z AUR - daj znać. Po prostu na tym etapie już pomożemy i będzie prościej później.
6. Nie mieszaj wersji AUR i "nie-AUR" - to proszenie się o kłopoty.
#25
Inne dystrybucje Linux / Odp: Przypadkowo usunąłem pase...
Ostatnia wiadomość przez PomPom - Styczeń 30, 2023, 08:51:03 PM
Jakie środowisko graficzne?
#26
Inne dystrybucje Linux / Przypadkowo usunąłem pasek zad...
Ostatnia wiadomość przez Maksymilian - Styczeń 30, 2023, 08:19:41 PM
Przypadkowo usunąłem pasek zadań próbując usunąć ikonę chrome z paska zadań. Proszę pomóżcie! (wiem że podobny istnieje ale nie pomógł zbyt wiele)
#27
Arch / Odp: Nie aktualizuje alpm_octo...
Ostatnia wiadomość przez Piejanto - Styczeń 30, 2023, 08:11:49 PM
@robson75
Przepraszam za wrodzoną ociężałość umysłową. Staram się zrozumieć i chyba jestem na dobrej drodze. Mnie się trochę inaczej chyba jawią te pliki w wyobraźni.
Usiłowałem je zainstalować za pomocą [pak]. Dlatego najpierw zlokalizowałem poleceniem [pak -SsP] i otrzymałem informację [aur-rebased/octopi 0.13.0-1.1]
Obecnie mam ten problem, że nie wiem jak odinstalować [alpm_octopi_utils-dev]bo mi się przestało wyświetlać octopi. Ale po próbie instalacji mam następujące namiary:

alpm_octopi_utils: /usr/include/alpm_octopi_utils.h występuje w systemie plików (właścicielem jest alpm_octopi_utils-dev)
alpm_octopi_utils: /usr/lib/libalpm_octopi_utils.so występuje w systemie plików (właścicielem jest alpm_octopi_utils-dev)
alpm_octopi_utils: /usr/lib/pkgconfig/libalpm_octopi_utils.pc występuje w systemie plików (właścicielem jest alpm_octopi_utils-dev)
*********************
OK - usunąłem alpm_octopi_utils-dev poleceniem  [pacman -R alpm_octopi_utils-dev]

OK. Zainstalowało się chyba Octopi

Wielkie dzięki. Ja chyba za wiele myślę i dlatego tak głupieję, jak mi się coś kitfasi. Dzięki. Panowie.




 
#28
Arch / Odp: Nie aktualizuje alpm_octo...
Ostatnia wiadomość przez robson75 - Styczeń 30, 2023, 03:10:01 PM
Po pierwsze, octopi nie ma w POLAUR.
Po drugie, musisz odinstalować alpm_octopi_utils-dev.
Janek, czy Ty rozumiesz co się do Ciebie pisze?
Octopi oraz octopi-git znajdują się w repo chaotic, tak więc wystarczy komenda
pacman -Sy octopiaby go zainstalować.

EDIT.
Pomyliłem się, octopi jednak znajduje się w POLAUR.
#29
Arch / Odp: Nie aktualizuje alpm_octo...
Ostatnia wiadomość przez Piejanto - Styczeń 30, 2023, 01:41:39 PM
Coś jednak schrzaniłem.
Usunąłem octopi_dev i zniknęło mi Octopi z menu/system.

Postanowiłem zainstalować Octopi z POLAUR.
Zrobiłem tak :
pak -Ssp octopi                                      (01-30 13:12)
Używana jest konfiguracja użytkownika: /home/jan/.config/pak/pak.conf

:: POLAUR
aur-rebased/octopi 0.13.0-1.1
    This is Octopi, a powerful Pacman frontend using Qt libs
*********

[jan@jan:~]$ pak -SP aur-rebased/octopi 0.13.0-1.1                (01-30 13:13)
Używana jest konfiguracja użytkownika: /home/jan/.config/pak/pak.conf

***********************


A na koniec dostałem informację następującą:

: Kontynuować instalację? [T/n] T
:: Pobieranie pakietów...
 qtermwidget-1.2....   216,9 KiB   346 KiB/s 00:01 [######################] 100%
 pkgfile-21-2-x86_64    24,8 KiB   354 KiB/s 00:00 [######################] 100%
 alpm_octopi_util...    19,3 KiB  31,3 KiB/s 00:01 [######################] 100%
 Łącznie (3/3)         261,0 KiB   165 KiB/s 00:02 [######################] 100%
(3/3) sprawdzanie kluczy w bazie                   [######################] 100%
(3/3) sprawdzanie spójności pakietów               [######################] 100%
(3/3) wczytywanie listy plików                     [######################] 100%
(3/3) sprawdzanie konfliktów plików                [######################] 100%
błąd:  nie udało się dokonać transakcji (konfliktujące pliki)
alpm_octopi_utils: /usr/include/alpm_octopi_utils.h występuje w systemie plików (właścicielem jest alpm_octopi_utils-dev)
alpm_octopi_utils: /usr/lib/libalpm_octopi_utils.so występuje w systemie plików (właścicielem jest alpm_octopi_utils-dev)
alpm_octopi_utils: /usr/lib/pkgconfig/libalpm_octopi_utils.pc występuje w systemie plików (właścicielem jest alpm_octopi_utils-dev)
Wystąpiły błędy, nie zaktualizowano żadnego pakietu.
==> BŁĄD: 'pacman' nie mógł zainstalować brakujących zależności
==> Brakujące zależności:
  -> alpm_octopi_utils
  -> pkgfile
  -> qtermwidget
==> Sprawdzanie zależności potrzebnych do budowy...
==> BŁĄD: Nie udało się rozwiązać wszystkich zależności.

błąd: Błędna składnia ==> repozytorium/pakiet. Sprawdź, czy pakiet istnieje w POLAUR
***************************************
****************************************


Myślę, że powinienem ręcznie usunąć pozostałości dawnego Octopi (takie jak alpm_octopi_utils i i alpm_octopi_utils.h)

a później dopiero później próbować instalacji.

Czy mam rację?
#30
Arch / Odp: Nie aktualizuje alpm_octo...
Ostatnia wiadomość przez Piejanto - Styczeń 30, 2023, 12:42:57 AM
@pavbaranov
@robson75

Tak, Ja wiem, że Octopi_dev jest tylko w AUR, bo mi pokazuje Octopi, że tak jest.

Znaczy, jest tak, że ja mam Octopi zainstalowane.
I już myślałem, żeby przejść na to octopi_utils lub na octopi_utils-git ale się bałem, że jak wyrzucę octopi_dev, to coś schrzanię.

Dlatego chciałem abyście, Panowie, zobaczyli ten zrzut ekranu z tymi plikami, ale nie wiem jak załączyć tutaj taki zrzut ekranu.
Bo chyba powinienem najpierw odinstalować octopi_dev aby zainstalować coś innego w to miejsce, żeby nie było konfliktów?  - tak mi się w każdym razie wydaje.
Aha... gdy instalowałem Octopi, to niczego nie mieszałem. Ja po prostu jestem za cienki na takie manifagi. Zainstalowało się samo tak jak jest teraz i żadnej mojej woli w tym nie było.

Dzięki za pomoc.

Zobacz najnowsze wiadomości na forum